Note for failed linking
=======================
Seems that on some systems linking fails due missing references. You may
solve it with

. /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

before running cmake.
On some systems cmake doesn't detect that it is a threaded qt-version. So you should
do

export CXXFLAGS="-DQT_THREAD_SUPPORT"

before running cmake.
(Or give it as parameter to cmake with -DCMAKE_CXX_FLAGS="-DQT_THREAD_SUPPORT")


Prepare install
===============
You require at least cmake 2.4, kde 3.4.x and subversion 1.2. In source-tree-build are mostly unwanted, so
make a subdir called "tdesvn-build" and change to it.

Basic installation
==================
Change to your builddirectory and call cmake with the path to tdesvn. E.g.,
when your build-folder is "tdesvn-build" within source-tree, so change to it
and type "cmake ../".

Now your system get checked if it is able compiling tdesvn and cmake generates
the Makefiles.
Important parameters to cmake:

-DCMAKE_BUILD_TYPE=<buildtype>
<buildtype> may current one of "Debug", "Release", "ReleaseWithDebInfo"
or "MINSIZEREL"

-DCMAKE_INSTALL_PREFIX=<prefix>
Default to "/usr/local"

-DSUBVERSION_INSTALL_PATH=<subversionlib-install-prefix>
Where is subversion-lib installed. Default check in /usr and /usr/local

-DCMAKE_CXX_FLAGS=<some extra flags>
Extra flags for the c++ compiler for your system required.

-DLIB_SUFFIX=<suffix>
Mostly for 64bit systems, there suffix may be 64 so libs will installed
in /usr/lib64 and not /usr/lib for instance.

After calling cmake just type
    make
and build begins. When more output is wanted call
   make VERBOSE=1

After make type "make install" and install begins.

You may install to a temporary-root with
    make install DESTDIR=<temproot>

If you want to uninstall tdesvn again type "make uninstall" from within the
build directory.

Extra cflags and linker flags
=============================

If you require extra flags for compiler and linker you may give them via environment variables
  "CXXFLAGS" (c++ compiler)
  "LDFLAGS" (for linker)
  "CFLAGS"  (for c-compiler, not needed in tdesvn build)

eg., it may usefull on 64bit systems "-m64" to CXXFLAGS and LDFLAGS.
